jvx.geom

## Class PwIntersectElementSet

- java.lang.Object
- - jv.object.PsObject
  - - jvx.project.PjWorkshop
    - - jvx.geom.PwIntersectElementSet

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, PsUpdateIf, PjWorkshopIf
  Direct Known Subclasses:
    PwIntersectWithFunction

      public class PwIntersectElementSet
      extends PjWorkshop

  Utility program to cut one or two PgElementSets along their element intersections or one PgElementSet along a level Function and generate a PgPolygonSet containing all the intersection polygons.
  See Also:
    Serialized Form
  Author:
    Ulrich Reitebuch
  Version:
    04.11.02, 1.20 revised (ur) Two methods moved from PwIntersectElementSet to PwClip.
    23.08.02, 1.50 revised (ur) Tuning.
    09.07.02, 1.40 revised (ur) Moved handles for cut at function to an own class.
    18.04.02, 1.30 revised (ur) Cutting at level function added.
    06.03.02, 1.20 revised (ur) Full revision when incorporating the new workshop handling.
    28.01.02, 1.10 revised (ep) Don't make use of protected class PvGeometry.
    03.07.01, 1.00 created (ur)

- - ### Field Summary

    - ### Fields inherited from class jv.object.PsObject

      `HAS_BOUNDARY_PANEL, HAS_CONFIG_PANEL, HAS_INFO_PANEL, HAS_LABEL_PANEL, HAS_MATERIAL_PANEL, HAS_TEXTURE_PANEL, HAS_VECTOR_PANEL, INSPECTOR_INFO, INSPECTOR_INFO_EXT, IS_DELETED, IS_FIXED, IS_FOCUSSED, IS_PICKED, IS_SELECTED, IS_USED, NUM_TAGS`

    - ### Fields inherited from interface jv.project.PjWorkshopIf

      `MODE_BUG, MODE_STANDARD, MODE_VALIDATE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PwIntersectElementSet()` Constructor
    `PwIntersectElementSet(java.lang.String titel)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `breakElements(boolean br)` Set flag to break elements at intersections.
    `void` | `breakElements(int elSetNr, boolean br)` Set flag to break elements at intersections.
    `void` | `cancel()` Cancel operation of this workshop by resetting all modified geometries, removing added geometries and finally closing this workshop.
    `void` | `cutAlongIntersection(boolean cut)` Set flag to destroy neighbourhood at intersections.
    `void` | `cutAlongIntersection(int elSetNr, boolean cut)` Set flag to destroy neighbourhood at intersections.
    `PgPolygonSet` | `getIntersection()` Get intersection PolygonSet.
    `void` | `init()` Initialization: Create some variables to store data of the intersected PgElementSets
    `void` | `intersect()` Compute for all pairs of subElements the common points of the edges of one subElement with the plane of the other subElement vice versa.
    `void` | `reset()` Fill storing variables with data.
    `void` | `setGeometries(PgElementSet elSet0, PgElementSet elSet1)` Set two Geometries to be intersected.

    - ### Methods inherited from class jvx.project.PjWorkshop

      `close, getDisplay, getDisplays, getGeometry, getMode, getSavedGeometry, getViewer, isModal, isStandalone, ok, removeGeometry, setDisplay, setDisplays, setGeometry, setModal, setMode, setStandalone, setViewer, update`

    - ### Methods inherited from class jv.object.PsObject

      `addInspector, addUpdateListener, assureInspector, clearTag, clone, clone, clone, copy, getFather, getInfoPanel, getInspector, getName, getNumObjects, getSymbol, hasInspector, hasTag, hasUpdateListener, instanceOf, instanceOf, newInspector, newInspector, removeInspector, removeInspector, removeUpdateListener, setName, setParent, setSymbol, setTag, toString, updatePanels`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface jv.object.PsUpdateIf

      `getFather, getName, setParent`

- - ### Constructor Detail

    - #### PwIntersectElementSet

          public PwIntersectElementSet()

      Constructor

    - #### PwIntersectElementSet

          public PwIntersectElementSet(java.lang.String titel)

      Constructor

  - ### Method Detail

    - #### cancel

          public void cancel()

      Cancel operation of this workshop by resetting all modified geometries, removing added geometries and finally closing this workshop. If necessary, the duplicate of the original geometry is restored into the geometry.
      Overrides:
        `cancel` in class `PjWorkshop`

    - #### init

          public void init()

      Initialization: Create some variables to store data of the intersected PgElementSets
      Overrides:
        `init` in class `PjWorkshop`

    - #### reset

          public void reset()

      Fill storing variables with data.
      Overrides:
        `reset` in class `PjWorkshop`

    - #### setGeometries

          public void setGeometries(PgElementSet elSet0,
                                    PgElementSet elSet1)

      Set two Geometries to be intersected.

    - #### getIntersection

          public PgPolygonSet getIntersection()

      Get intersection PolygonSet.

    - #### breakElements

          public void breakElements(int elSetNr,
                                    boolean br)

      Set flag to break elements at intersections.

    - #### breakElements

          public void breakElements(boolean br)

      Set flag to break elements at intersections.

    - #### cutAlongIntersection

          public void cutAlongIntersection(int elSetNr,
                                           boolean cut)

      Set flag to destroy neighbourhood at intersections.

    - #### cutAlongIntersection

          public void cutAlongIntersection(boolean cut)

      Set flag to destroy neighbourhood at intersections.

    - #### intersect

          public void intersect()

      Compute for all pairs of subElements the common points of the edges of one subElement with the plane of the other subElement vice versa.
      Author:
        Ulrich Reitebuch
      Version:
        03.07.01, 1.00 created (ur)

"

The software JavaView? is copyright protected. All Rights Reserved.
"